name: shared
description: 基础包，提供基本的全局的工具类与服务类

version: 1.0.0

environment:
  sdk: ">=3.3.0 <4.0.0"
  flutter: ">=3.0.0"

dependencies:

  flutter_localizations:
    sdk: flutter

  flutter:
    sdk: flutter

  cupertino_icons: ^1.0.2

  # Riverpod核心库
  flutter_riverpod: ^2.5.1

  # Riverpod注解
  riverpod_annotation: ^2.3.5

  # 加密的一些插件，无需暴露
  crypto: ^3.0.3
  convert: 3.1.1


flutter:
  uses-material-design: true
